import type { AnalysisOverviewItem,  WorkbenchTrendItem } from '@vben/common-ui';

import { SvgBellIcon, SvgCakeIcon, SvgCardIcon, SvgDownloadIcon } from '@vben/icons';

export const overviewItems: AnalysisOverviewItem[] = [
  {
    icon: SvgCardIcon,
    title: '工具总数',
    totalTitle: '工具总数',
    totalValue: 120_000,
    value: 2000
  },
  {
    icon: SvgCakeIcon,
    title: '可用工具数',
    totalTitle: '可用工具数',
    totalValue: 500_000,
    value: 20_000
  },
  {
    icon: SvgDownloadIcon,
    title: '最近借出',
    totalTitle: '最近借出',
    totalValue: 120_000,
    value: 8000
  },
  {
    icon: SvgBellIcon,
    title: '最近更新',
    totalTitle: '最近更新',
    totalValue: 50_000,
    value: 5000
  }
];

export const trendItems: WorkbenchTrendItem[] = [
  {
    avatar: 'svg:avatar-1',
    content: `在 <a>开源组</a> 创建了项目 <a>Vue</a>`,
    date: '刚刚',
    title: '威廉',
  },
  {
    avatar: 'svg:avatar-2',
    content: `关注了 <a>威廉</a> `,
    date: '1个小时前',
    title: '艾文',
  },
  {
    avatar: 'svg:avatar-3',
    content: `发布了 <a>个人动态</a> `,
    date: '1天前',
    title: '克里斯',
  },
  {
    avatar: 'svg:avatar-4',
    content: `发表文章 <a>如何编写一个Vite插件</a> `,
    date: '2天前',
    title: 'Vben',
  },
  {
    avatar: 'svg:avatar-1',
    content: `回复了 <a>杰克</a> 的问题 <a>如何进行项目优化？</a>`,
    date: '3天前',
    title: '皮特',
  },
  {
    avatar: 'svg:avatar-2',
    content: `关闭了问题 <a>如何运行项目</a> `,
    date: '1周前',
    title: '杰克',
  },
  {
    avatar: 'svg:avatar-3',
    content: `发布了 <a>个人动态</a> `,
    date: '1周前',
    title: '威廉',
  },
  {
    avatar: 'svg:avatar-4',
    content: `推送了代码到 <a>Github</a>`,
    date: '2021-04-01 20:00',
    title: '威廉',
  },
  {
    avatar: 'svg:avatar-4',
    content: `发表文章 <a>如何编写使用 Admin Vben</a> `,
    date: '2021-03-01 20:00',
    title: 'Vben',
  },
];
